I've got a bunch of tags with a dedicated "tag mode" style, and if I select them individually I can add them to a table, no problem. However, if I try to do a mass selection of a swath of labeled lines or arcs i get the option to convert all non-tag labels to tag lables (I don't want that) OR don't add those labels not in tag mode (presumably keepin those that are). The problem I have is if I select the latter it deselcts everything. Am I missing something or does this not function as it implies (or at least how I wish it would)?
How can I remove an object I just selected from a selection set? I can't find the setting that allows this. Is it some combination of items check under the selection modes in the options menu?
I am wanting to use an Autocad table object to display fields from an Access database table that is linked to symbols in my drawing.
My objective is create a database table that has detailed notes for call outs in my drawings and then link my call out blocks to the database table and display the blocks and linked descriptions in an Autocad table. If the notes in the database table are edited the Autocad table updates with the new the description from the database.
Is there a way to force the table and table text height to stay constant despite the scale? I can do it for Point Label Styles with an Expression. But in 2011 there is no way to build an expression for a table style.
I want to create tables in the drawing where the points are and then plot them from a drawing they're Xrefed in to. The tables are too small but zooming in doesn't make them any bigger because the scale of the viewport changes and they adjust.
I want to know if you can link AutoCad tables to other Autocad tables on different layouts. Say I have ten sheets, each with a table for quantities of pipe length, and one sheet with a total of all quantities. Can I link cells from each separate layout sheet to the main table sheet, so that I can add them all for project totals?
When I select an object and pan to make another selection the first object "deselects". The object(s) will stay selected until I pan and as soon as I start to pan the grips go away and the object(s) is deselected.
I need some adivice on making 2d drawings of Pump stations, septic tanks, wells - here are some examples URLs...What program should i use ? If i add block to drawing can i get the specifications of the object automatically into a table, just like in example drawings.
How can I display the object data of a layer in table format, with VB.net. or How can I display the attributes of a .SHP file, edit it and also add new point to it.
I'm attaching data to objects (attached data) and I'm unable to get the table option to open in a new window. I tried Field and the value is already set to 1. I'm using Map 3D 2012 .
I need a lisp file that can read the total length of selected object (lignes, polylines) and summarize them by layers or by color in a table
e.g
command:tl (total length) select objects found total length....... select object (Ent) total length or [Add/Subtract/Table] : total length = ....... if table Enter an option by [ Layer/Color/line Type/line Weight] <layer> :
I am working on a drawings with nested xrefs and am experiencing major delays when selecting objects using crossing windows. It is as if the computer thinks I am selelecting the xref even though the curser doesn't touch any visible exref entities. Basically, I click to start the window and the curser freezes for 10 to 20 seconds. I am experiencing the same problem with other commands (intermittenly) such as move, line, and offset. The exrefs are on a separate locked layer and have been moved to the back of the drawing.
Having problem with object selection when covered by other objects ie lines,arcs etc on a solid model---autocad 2011---did not seem to be a problem in 2006 version,but wondering if switching layers on and off is the only way?
I cannot get the advanced select objects tools to work.
I type:
select <enter>
wp <enter>
Make my polygon, and then I'm stuck in a single item select mode. If I hit enter, they all unselect and I can't do anything. Typing a command (like "m") does nothing.
Typing m <enter>, and then doing the selection yields the same result. At the end of my selection process and I hit <enter>, it sits in the single object selection mode (the little box cursor). Hitting <enter> here again makes the selection dissapear and I'm back to square one.
every time I select something a small box pops up in my way with the object's properties. I can't figure out how it became turned on, and don't know how to get rid of it.
I have a pice of code that select MText in my drawing. It looks that it select the MText in ALL my drawing and I am interested to choose the MText that is in the Model Space only.
The piece of code that I have is:
'Adding a Selection set in the drawing Set objSS = ThisDrawing.SelectionSets.Add("TestSelectionSetOperator") 'Using 4 filters to store in objSS -Selection Set- MText which is located in the Layer Text_MSpace ReDim intCodes(3): ReDim varCodeValues(3)
[Code] .....
How to add a criteria to choose the MText that is in ONLY in my model space?.
When selecting an object in 2013, entering the command and trying to select the object without moving the mouse will not select the object on the first pick. You must select the object a second time before the object is selected and highlighted.
Steps to reproduce:
1) Hover over desired object
2) Enter command on keyboard (M, E, CO, etc...
3) Do not move the mouse and attempt to select the object
Nothing is selected or highlighted
4) Attempt to select the object a second time
Object is now selected and highlighted
The same thing occurs if you attempt to create a selection window or crossing window immediately after entering a command without moving the mouse and clicking the first point.
This does not occur in vanilla 2012. I do have Raster Design installed with 2013, so not sure if the issue stems from the add-on or not.
I can use SolidSelection.Item for 3D object's handles and but I can't take 3D object's volumes with SolidSelection.
Then I can put object 's handles(1EE) to a collection. Can I use SolidSelection to keep my 3D volumes values? All sub-structure of my program works with SolidSelection Object.
Volume Codes;
For Each tEnt In ThisDrawing.ModelSpace If TypeOf tEnt Is Acad3DSolid Then Dim tEntSolid As Acad3DSolid Set tEntSolid = tEnt tmpVols1.Add (tEntSolid.Handle & "/" & tEntSolid.Volume) End If Next
I can't match with returned result of these codes and SolidSelection.item(i)
For Each tEnt In ThisDrawing.ModelSpace If TypeOf tEnt Is Acad3DSolid Then Dim tEntSolid As Acad3DSolid Set tEntSolid = tEnt tmpVols1.Add (tEntSolid.Handle & "/" & tEntSolid.Volume) [code]......
I'm experiencing problems with selecting objects. Usually, when I double clicked multi line text, I could edit it, now I get a text: "select an MTEXT object:", which basically means I have to select it again.
Another example of this is quick selection tool. Usually I selected the objects, then went to quick select pop up screen and under "Apply to:" I selected "Current selection". Now, there's only "Entire drawing" option and if i want current selection, I have to re-select it again.
I checked all the selection options and stuff. I attached some screenshots.
I have recently upgraded to 2013 from 2007 and I am having some weird trouble with the move command. I will try to explain.. I type the move command and then select a particular object I would like to move a little and it grabs some (not all) of other objects/lines near it and then stretches the lot in all directions! It actually doesn't allow me to move it at all without stretching/extending all these areas. I have tried everything I can think of and am not sure what I am missing. I thought it was somehow related to the polyline I was selecting, but it does it to single lines as well.
I can toggle "Selection Modes, Object Grouping" on by checking the box and save my file. When I close AutoCAD 2012 and come back in Object Grouping is turned off again, even if I pull up the same drawing. I can't seem to find a lisp function or command to turn this on. Seems that my only option is to go back to the options each time and turn it on. I've got a registry entry or a lisp command I an issue to keep this turned on.
When objects are selected, they don't show up on the properties panel (or on the Quick Select panel either) It doesn't matter what method I use:
-Pick one object (lines, arcs, circles, blocks, etc), the Quick Properties flyout appears, but empty. Properties flyout show "no selection"
-Window-select object or objects. Quick Properties bar shows up empty again. Properties flyout show "no selection"
-Click on the Quick Select icon. It prompts me to pick geometry. I do. The Quick Select window comes up, but where it says "Object Type", it only has the option "Multiple", and not the normal list of the geometry you selected.
Have Autocad 2011, as well as Autocad 2010 and Inventor 2010 (trial license) on the same machine.
Intel Core2 Quad Q8200 2.34 GHz 8 GB RAM Windows 7 Pro 64 bit
I'm making a surface out of contours. The problem is the contours have the elevation listed under object information, not geometry (the contours were brought in from a GIS file, which I do not have access to, or I would bring them in again with the elevations properly assigned, this is not an option). How can I quickly change the geometry elevation property to match the miscellaneous property?
Windows 7 x 64 bit NVidia Quadro 2000 Dual Monitor 6.00 GB RAM Intel Xeon W3550 @ 3.07 GHz Civil 3D 2013 SP 2, Civil 3D 2012 SP2, Civil 3D 2011 V3, Civil 3D 2010 V3
Creating a CTB file to mimic a Microstation pen table? I have a client supplied *.tbl (an intergraph pen table file I believe) and how to generate a CTB that will behave similarly (ie. plot nearly the same)..
I can open the *.tbl file in a text editor and it just looks like a bunch of "if, then" statements related to line weights and pattern files....
I have already created a template with the same layers/levels, colors, linewights, etc... (and can convert everything to dgns), but now I need to figure out how to get similar plotted results from both sets of drawings (the dwg and the dgn..)